Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface XMLCacheCumulativeRuntimeMBean

public interface XMLCacheCumulativeRuntimeMBean
extends XMLCacheMonitorRuntimeMBean

This interface is used to monitor the external XML entity cache. In particular, the methods of this interface return information about the cumulative activity of the cache since WebLogic Server was started.

Author:
  Copyright (c) 2001 by BEA WebXpress. All Rights Reserved.

Method Summary
`double` | `getAverageEntrySizeFlushed()` Returns the average size in bytes of items memory purged/flushed
`double` | `getFlushesPerHour()` Returns the number of purges/flushes per hour
`java.util.Date` | `getMostRecentMemoryFlush()` Returns the time of the most recent memory purge/flush
`double` | `getPercentRejected()` Returns the percent of inserts that were rejected
`long` | `getRejectionsCount()` Returns the number of rejections to cache an entry
`long` | `getRenewalsCount()` Returns the number of times a stale entry was renewed

Methods inherited from interface weblogic.management.runtime.XMLCacheMonitorRuntimeMBean
`getAveragePerEntryMemorySize, getAverageTimeout, getMaxEntryMemorySize, getMaxEntryTimeout, getMinEntryMemorySize, getMinEntryTimeout`

Methods inherited from interface weblogic.management.runtime.CacheMonitorRuntimeMBean
`getAccessCount, getAccessTime, getCurrentSize, getCurrentTotalEntries, getFlushesCount, getHitCount, getInsertCount, getInsertTime, getTimeCreated, getTimeSinceStart`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAverageEntrySizeFlushed

    public double getAverageEntrySizeFlushed()

  Returns the average size in bytes of items memory purged/flushed

### getMostRecentMemoryFlush

    public java.util.Date getMostRecentMemoryFlush()

  Returns the time of the most recent memory purge/flush

### getFlushesPerHour

    public double getFlushesPerHour()

  Returns the number of purges/flushes per hour

### getRejectionsCount

    public long getRejectionsCount()

  Returns the number of rejections to cache an entry

### getPercentRejected

    public double getPercentRejected()

  Returns the percent of inserts that were rejected

### getRenewalsCount

    public long getRenewalsCount()

  Returns the number of times a stale entry was renewed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference